package uulm.teamname.marvelous.gamelibrary.json.config;

/**
 * POJO describing the PartyConfiguration as defined by the standard document
 */
public class PartyConfiguration {
    /** Max round amount in a match */
    public int maxRounds;

    /** Max round time in a match in seconds */
    public int maxRoundTime;

    /** Max overall time in a match in seconds */
    public int maxGameTime;

    /** Max time a single animation might take up in seconds */
    public int maxAnimationTime;

    /** Cooldown of the space stone in rounds */
    public int spaceStoneCD;

    /** Cooldown of the mind stone in rounds */
    public int mindStoneCD;

    /** Cooldown of the reality stone in rounds */
    public int realityStoneCD;

    /** Cooldown of the power stone in rounds */
    public int powerStoneCD;

    /** Cooldown of the time stone in rounds */
    public int timeStoneCD;

    /** Cooldown of the soul stone in rounds */
    public int soulStoneCD;

    /** Damage the mind stone does when used */
    public int mindStoneDMG;

    /** Max pause time. Optional */
    public int maxPauseTime;
}
