package uulm.teamname.marvelous.gamelibrary.json.ingame;

import uulm.teamname.marvelous.gamelibrary.events.Event;

import java.util.HashMap;

/** Represents a message sent between client and server and contains all possible data.
 */
public class MessageStructure {
    //TODO: revise MessageStructure according to actual standard document

    /** The list of {@link Event}s sent inside the message.
     */
    public Event[] events;

    /** The checksum of the current game state at the time the message was sent.
     */
    public int checksum;

    /** The type of the custom content sent with the message.
     */
    public String customContentType;

    /** The decoded contents of the custom content sent.
     */
    public HashMap<String, Object> customContent;
}
